### Class

# Gtk GridLayoutChild

since: 4.0

#### Description [src]

    final class Gtk.GridLayoutChild : Gtk.LayoutChild
    {
      /* No available fields */
    }

`GtkLayoutChild` subclass for children in a `GtkGridLayout`.

Available since: 4.0

#### Ancestors

- GtkLayoutChild
- GObject

#### Instance methods

###### gtk_grid_layout_child_get_column

Retrieves the column number to which `child` attaches its left side.

since: 4.0

###### gtk_grid_layout_child_get_column_span

Retrieves the number of columns that `child` spans to.

since: 4.0

###### gtk_grid_layout_child_get_row

Retrieves the row number to which `child` attaches its top side.

since: 4.0

###### gtk_grid_layout_child_get_row_span

Retrieves the number of rows that `child` spans to.

since: 4.0

###### gtk_grid_layout_child_set_column

Sets the column number to attach the left side of `child`.

since: 4.0

###### gtk_grid_layout_child_set_column_span

Sets the number of columns `child` spans to.

since: 4.0

###### gtk_grid_layout_child_set_row

Sets the row to place `child` in.

since: 4.0

###### gtk_grid_layout_child_set_row_span

Sets the number of rows `child` spans to.

since: 4.0

##### Methods inherited from GtkLayoutChild (2)

###### gtk_layout_child_get_child_widget

Retrieves the `GtkWidget` associated to the given `layout_child`.

since: 4.0

###### gtk_layout_child_get_layout_manager

Retrieves the `GtkLayoutManager` instance that created the given `layout_child`.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.GridLayoutChild:column

The column to place the child in.

since: 4.0

###### Gtk.GridLayoutChild:column-span

The number of columns the child spans to.

since: 4.0

###### Gtk.GridLayoutChild:row

The row to place the child in.

since: 4.0

###### Gtk.GridLayoutChild:row-span

The number of rows the child spans to.

since: 4.0

##### Properties inherited from GtkLayoutChild (2)

###### Gtk.LayoutChild:child-widget

The widget that is associated to the `GtkLayoutChild` instance.

since: 4.0

###### Gtk.LayoutChild:layout-manager

The layout manager that created the `GtkLayoutChild` instance.

since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkGridLayoutChildClass {
      GtkLayoutChildClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutChildClass`
  No description available.